/** Copyright (C) 2017 by Bundesanstalt für Gewässerkunde
 * Software engineering by
 *  Björnsen Beratende Ingenieure GmbH
 *  Dr. Schumacher Ingenieurbüro für Wasser und Umwelt
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */
package org.dive4elements.river.artifacts.sinfo.common;
 
import java.util.Collection;
import org.dive4elements.river.artifacts.common.AbstractCalculationResult;
import org.dive4elements.river.artifacts.common.ResultRow;
import org.dive4elements.river.artifacts.sinfo.util.WstInfo;
 

/**
 * @author Gernot Belger
 */
public abstract class AbstractSInfoCalculationResult extends AbstractCalculationResult  {

    private static final long serialVersionUID = 1L;
    
    private final WstInfo wst;

    public AbstractSInfoCalculationResult(final String label, final WstInfo wst, final Collection< ResultRow> rows) {
        super(label, rows);      
        this.wst = wst;      
    }


    public final WstInfo getWst() {
        return this.wst;
    }  
}